Package org.opensaml.messaging.encoder.httpclient

# Class AbstractHttpClientRequestMessageEncoder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.encoder.AbstractMessageEncoder
org.opensaml.messaging.encoder.httpclient.AbstractHttpClientRequestMessageEncoder

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `UnmodifiableComponent`, `HttpClientRequestMessageEncoder`, `MessageEncoder`

Direct Known Subclasses:
  `BaseHttpClientRequestXMLMessageEncoder`

public abstract class AbstractHttpClientRequestMessageEncoder extends AbstractMessageEncoder implements HttpClientRequestMessageEncoder
Abstract implementation of `HttpServletResponseMessageEncoder`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.apache.hc.core5.http.ClassicHttpRequest`
`request`
The HTTP client request.

### Fields inherited from class org.opensaml.messaging.encoder.AbstractMessageEncoder

`BASE_PROTOCOL_MESSAGE_LOGGER_CATEGORY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHttpClientRequestMessageEncoder()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`org.apache.hc.core5.http.ClassicHttpRequest`
`getHttpRequest()`
Get the HTTP client request on which to operate.
`void`
`setHttpRequest(org.apache.hc.core5.http.ClassicHttpRequest httpRequest)`
Set the HTTP client request on which to operate.

### Methods inherited from class org.opensaml.messaging.encoder.AbstractMessageEncoder

`doEncode, encode, getMessageContext, getMessageToLog, getProtocolMessageLogger, getProtocolMessageLoggerSubCategory, logEncodedMessage, prepareContext, serializeMessageForLogging, setMessageContext, setProtocolMessageLoggerSubCategory`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.encoder.MessageEncoder

`encode, prepareContext, setMessageContext`

## Field Details

### request

@NonnullAfterInit private org.apache.hc.core5.http.ClassicHttpRequest request
The HTTP client request.

## Constructor Details

### AbstractHttpClientRequestMessageEncoder

public AbstractHttpClientRequestMessageEncoder()

## Method Details

### getHttpRequest

@NonnullAfterInit public org.apache.hc.core5.http.ClassicHttpRequest getHttpRequest()
Get the HTTP client request on which to operate.

Specified by:
  `getHttpRequest` in interface `HttpClientRequestMessageEncoder`
Returns:
  the HTTP client request

### setHttpRequest

public void setHttpRequest(@Nullable org.apache.hc.core5.http.ClassicHttpRequest httpRequest)
Set the HTTP client request on which to operate.

Specified by:
  `setHttpRequest` in interface `HttpClientRequestMessageEncoder`
Parameters:
  `httpRequest` - the HTTP client request

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractMessageEncoder`
Throws:
  `ComponentInitializationException`